<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <artifactId>production-parent</artifactId>
    <groupId>net.northking</groupId>
    <version>1.4.1-RELEASE</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>

  <groupId>net.northking.cctp</groupId>
  <artifactId>cctp-maven-plugin</artifactId>
  <version>0.0.141-RELEASE</version>

  <packaging>maven-plugin</packaging>

  <properties>
    <maven-plugin-api>3.5.2</maven-plugin-api>
    <maven-plugin-plugin>3.5</maven-plugin-plugin>
    <maven-plugin-annotations>3.5</maven-plugin-annotations>
    <maven-project>2.2.1</maven-project>
    <junit.version>4.12</junit.version>
    <mysql.version>8.0.16</mysql.version>
  </properties>



  <dependencies>
    <dependency>
      <groupId>org.apache.maven</groupId>
      <artifactId>maven-plugin-api</artifactId>
      <version>${maven-plugin-api}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.maven.plugins</groupId>
      <artifactId>maven-plugin-plugin</artifactId>
      <version>${maven-plugin-plugin}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.maven.plugin-tools</groupId>
      <artifactId>maven-plugin-annotations</artifactId>
      <version>${maven-plugin-annotations}</version>
    </dependency>
    <dependency>
      <groupId>org.apache.maven</groupId>
      <artifactId>maven-project</artifactId>
      <version>${maven-project}</version>
    </dependency>
    <dependency>
      <groupId>org.apache.velocity</groupId>
      <artifactId>velocity</artifactId>
      <version>1.7</version>
    </dependency>

    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>${junit.version}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>mysql</groupId>
      <artifactId>mysql-connector-java</artifactId>
      <version>${mysql.version}</version>
      <scope>test</scope>
    </dependency>
  </dependencies>
</project>